Bug 864520 - [abrt] libreoffice-core-3.5.6.2-5.fc17: EditSelection::Adjust was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-3.5.6.2-5.fc17: EditSelection::Adjust was killed by s...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:1e416e5c7ad4a910e43b17d61f9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 09:44 EDT by Nikolay Logvinov
Modified: 2012-12-19 10:45 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-19 10:45:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: core_backtrace (3.11 KB, text/plain)
2012-10-09 09:44 EDT, Nikolay Logvinov
no flags Details
File: environ (3.50 KB, text/plain)
2012-10-09 09:44 EDT, Nikolay Logvinov
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-09 09:44 EDT, Nikolay Logvinov
no flags Details
File: backtrace (38.67 KB, text/plain)
2012-10-09 09:44 EDT, Nikolay Logvinov
no flags Details
File: cgroup (125 bytes, text/plain)
2012-10-09 09:44 EDT, Nikolay Logvinov
no flags Details
File: maps (51.10 KB, text/plain)
2012-10-09 09:44 EDT, Nikolay Logvinov
no flags Details
File: dso_list (17.54 KB, text/plain)
2012-10-09 09:44 EDT, Nikolay Logvinov
no flags Details
File: var_log_messages (319 bytes, text/plain)
2012-10-09 09:44 EDT, Nikolay Logvinov
no flags Details
File: open_fds (342 bytes, text/plain)
2012-10-09 09:44 EDT, Nikolay Logvinov
no flags Details

  None (edit)
Description Nikolay Logvinov 2012-10-09 09:44:35 EDT
Version-Release number of selected component:
libreoffice-core-3.5.6.2-5.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        /usr/lib/libreoffice/program/soffice.bin --calc --splash-pipe=6
crash_function: ContentList::GetPos
kernel:         3.5.4-2.fc17.i686.PAE

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 ContentList::GetPos at /usr/src/debug/libreoffice-3.5.6.2/editeng/source/editeng/editdoc2.cxx:344
: #1 EditSelection::Adjust at /usr/src/debug/libreoffice-3.5.6.2/editeng/source/editeng/editdoc.cxx:647
: #2 ImpEditView::dragGestureRecognized at /usr/src/debug/libreoffice-3.5.6.2/editeng/source/editeng/impedit.cxx:1529
: #3 vcl::unohelper::DragAndDropWrapper::dragGestureRecognized at /usr/src/debug/libreoffice-3.5.6.2/vcl/source/app/dndhelp.cxx:117
: #4 DNDListenerContainer::fireDragGestureEvent at /usr/src/debug/libreoffice-3.5.6.2/vcl/source/window/dndlcon.cxx:490
: #5 ImplHandleMouseEvent at /usr/src/debug/libreoffice-3.5.6.2/vcl/source/window/winproc.cxx:598
: #6 ImplHandleSalMouseMove at /usr/src/debug/libreoffice-3.5.6.2/vcl/source/window/winproc.cxx:2059
: #7 ImplWindowFrameProc at /usr/src/debug/libreoffice-3.5.6.2/vcl/source/window/winproc.cxx:2394
: #8 CallCallback at /usr/src/debug/libreoffice-3.5.6.2/vcl/inc/salframe.hxx:294
: #9 GtkSalFrame::signalMotion at /usr/src/debug/libreoffice-3.5.6.2/vcl/unx/gtk/window/gtkframe.cxx:2969
Comment 1 Nikolay Logvinov 2012-10-09 09:44:38 EDT
Created attachment 624108 [details]
File: core_backtrace
Comment 2 Nikolay Logvinov 2012-10-09 09:44:41 EDT
Created attachment 624109 [details]
File: environ
Comment 3 Nikolay Logvinov 2012-10-09 09:44:43 EDT
Created attachment 624110 [details]
File: limits
Comment 4 Nikolay Logvinov 2012-10-09 09:44:45 EDT
Created attachment 624111 [details]
File: backtrace
Comment 5 Nikolay Logvinov 2012-10-09 09:44:47 EDT
Created attachment 624112 [details]
File: cgroup
Comment 6 Nikolay Logvinov 2012-10-09 09:44:50 EDT
Created attachment 624113 [details]
File: maps
Comment 7 Nikolay Logvinov 2012-10-09 09:44:52 EDT
Created attachment 624114 [details]
File: dso_list
Comment 8 Nikolay Logvinov 2012-10-09 09:44:54 EDT
Created attachment 624115 [details]
File: var_log_messages
Comment 9 Nikolay Logvinov 2012-10-09 09:44:56 EDT
Created attachment 624116 [details]
File: open_fds
Comment 10 Caolan McNamara 2012-10-16 10:17:14 EDT
Are you able to reproduce this, looks like some sort of drag and drop action in a text frame if that helps shake it out ?
Comment 11 Nikolay Logvinov 2012-10-16 10:28:51 EDT
(In reply to comment #10)
> Are you able to reproduce this, looks like some sort of drag and drop action
> in a text frame if that helps shake it out ?

Unfortunatelly, I can't reproduce these error. But it was simple cell editing with text content (national language). I tried to fix a mistake in the word.

Note You need to log in before you can comment on or make changes to this bug.